/*
**    PROJET 3ETI CPE Lyon
**    Copyright (C) 2011 Damien Rohmer
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**   This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include <color.hpp>


namespace cpe
{

    color::color():internal_r(0),internal_g(0),internal_b(0){}
    color::color(const unsigned char& r,const unsigned char& g,const unsigned char& b):internal_r(r),internal_g(g),internal_b(b){}




    const unsigned char& color::r() const{return internal_r;}
    unsigned char& color::r(){return internal_r;}
    const unsigned char& color::g() const{return internal_g;}
    unsigned char& color::g(){return internal_g;}
    const unsigned char& color::b() const{return internal_b;}
    unsigned char& color::b(){return internal_b;}

    std::ostream& operator<<(std::ostream& stream,const color& c)
    {
        stream<<static_cast<unsigned int>(c.r())<<" "<<static_cast<unsigned int>(c.g())<<" "<<static_cast<unsigned int>(c.b());
        return stream;
    }

}
